/**
 ****************************************************************************************************
 * @file        bsp_flash.c
 * @author      HF_ZQ
 * @brief       STM32ڲFLASHд 
 * @license     Copyright (c) 2020-2050
 ****************************************************************************************************
 **/

#ifndef __STMFLASH_H
#define __STMFLASH_H

#include "drv_sys.h"


/* FLASHʼַ */
#define STM32_FLASH_SIZE        0x100000        /* STM32 FLASH ܴС */
#define STM32_FLASH_BASE        0x08000000      /* STM32 FLASH ʼַ */
#define FLASH_WAITETIME         50000           /* FLASHȴʱʱ */

/* FLASH ʼַ */
#define ADDR_FLASH_SECTOR_0     ((uint32_t )0x08000000)     /* 0ʼַ, 16 Kbytes */
#define ADDR_FLASH_SECTOR_1     ((uint32_t )0x08004000)     /* 1ʼַ, 16 Kbytes */
#define ADDR_FLASH_SECTOR_2     ((uint32_t )0x08008000)     /* 2ʼַ, 16 Kbytes */
#define ADDR_FLASH_SECTOR_3     ((uint32_t )0x0800C000)     /* 3ʼַ, 16 Kbytes */
#define ADDR_FLASH_SECTOR_4     ((uint32_t )0x08010000)     /* 4ʼַ, 64 Kbytes */
#define ADDR_FLASH_SECTOR_5     ((uint32_t )0x08020000)     /* 5ʼַ, 128 Kbytes */
#define ADDR_FLASH_SECTOR_6     ((uint32_t )0x08040000)     /* 6ʼַ, 128 Kbytes */
#define ADDR_FLASH_SECTOR_7     ((uint32_t )0x08060000)     /* 7ʼַ, 128 Kbytes */
#define ADDR_FLASH_SECTOR_8     ((uint32_t )0x08080000)     /* 8ʼַ, 128 Kbytes */
#define ADDR_FLASH_SECTOR_9     ((uint32_t )0x080A0000)     /* 9ʼַ, 128 Kbytes */
#define ADDR_FLASH_SECTOR_10    ((uint32_t )0x080C0000)     /* 10ʼַ,128 Kbytes */
#define ADDR_FLASH_SECTOR_11    ((uint32_t )0x080E0000)     /* 11ʼַ,128 Kbytes */

uint32_t stmflash_read_word(uint32_t faddr);                             /*  */
void stmflash_write(uint32_t waddr, uint32_t *pbuf, uint32_t length);    /* ַָʼдָȵ */
void stmflash_read(uint32_t raddr, uint32_t *pbuf, uint32_t length);     /* ַָʼָȵ */

void test_write(uint32_t waddr, uint32_t wdata);                         /* д */

#endif


















